none
VS.NET2002のデバッグで.NETFrameworkのバージョンを指定する方法 RRS feed

すべての返信

  • 2005 (2.0) だから 2003 (1.1) 2002 (1.0) の指定ができるのであって、
    2002 から上位へはできないんじゃないでしょうか。

    2006年4月20日 3:57
  • 説明不足で申し訳ございません。

    .NETFramework2.0をインストールし、VS.NET2002でデバッグを開始すると、最新の.NETFrameworkを読み込んで実行してしまいます。

    この為、Debug用ののDLLを読み込むところで、

    ***.exe の 0x7a012aa0 でハンドルされていない例外が発生しました : ユーザー設定のブレークポイント。

    のエラーが発生してしまいます。

    無視して継続すればデバッグが出来るには出来るのですが...

    また、.NETFramework2.0をアンインストールすれば正常動作します。

    2006年4月20日 5:21
  • アプリケーション構成ファイルを作ればできますよ。

    アプリ名.exe.configというファイルをアプリ名.exeと同じフォルダにおきます。

    VisualStudioだったら、\debugでしょうか。

    アプリ名.exe.configには、使用したいランタイムバージョンを以下の様に書いておきます。

    <?xml version ="1.0"?>
    <configuration>
    <startup>
    <supportedRuntime version="v1.1.4322" />
    </startup>
    </configuration>

    上記は、.NET Framework1.1の時の例です。

    .NET Framework2.0のアンインストールは不要ですよ。

    2006年4月25日 2:20
  • 返信が遅れ申し訳ございません。

    無事出来ました。ありがとうございます。

    2006年5月11日 7:23